Notifly
API ReferenceTopics

Retrieve a topic subscription

Retrieve a subscription by its unique identifier for a topic.

GET
/v2/topics/{topicKey}/subscriptions/{identifier}

Retrieve a subscription by its unique identifier for a topic.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

topicKey*string

The key identifier of the topic

identifier*string

The unique identifier of the subscription

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/topics/string/subscriptions/string"
{  "data": {    "id": "64f5e95d3d7946d80d0cb679",    "identifier": "subscription-identifier",    "name": "My Subscription",    "preferences": [      {        "subscriptionId": "64f5e95d3d7946d80d0cb679",        "workflow": {          "id": "64a1b2c3d4e5f6g7h8i9j0k1",          "identifier": "welcome-email",          "name": "Welcome Email Workflow",          "critical": false,          "tags": [            "user-onboarding",            "email"          ],          "data": {            "category": "onboarding",            "priority": "high"          },          "severity": "high"        },        "enabled": true,        "condition": {          "and": [            {              "===": [                {                  "var": "tier"                },                "premium"              ]            }          ]        }      }    ],    "contextKeys": [      "tenant:org-a",      "project:proj-123"    ]  }}